<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    
</head>

<body>

</body>

</html>
<script type="module">
    import Person from './Person.js';
    import Student from './Student.js';

    // Khởi tạo 3 đối tượng Person
    const person1 = new Person('John', 25, 'Male');
    const person2 = new Person('Alice', 30, 'Female');
    const person3 = new Person('Bob', 20, 'Male');

    console.log(person1.getPersonInfo());
    console.log(person2.getPersonInfo());
    console.log(person3.getPersonInfo());

    // Kiểm tra instance của đối tượng
    console.log(person1 instanceof Person);
    console.log(person2 instanceof Person);
    console.log(person3 instanceof Person);

    // Khởi tạo 3 đối tượng Student
    const student1 = new Student('Emma', 18, 'Female', 12, 'ABC College', 'A');
    const student2 = new Student('Tom', 19, 'Male', 11, 'XYZ College', 'B');
    const student3 = new Student('Lily', 20, 'Female', 10, 'DEF College', 'C');

    console.log(student1.getStudentInfo());
    console.log(student2.getStudentInfo());
    console.log(student3.getStudentInfo());

    console.log(student1.getGrade());
    student1.setGrade('A+');
    console.log(student1.getGrade());

    // Kiểm tra instance của đối tượng
    console.log(student1 instanceof Person);
    console.log(student1 instanceof Student);
    console.log(student2 instanceof Person);
    console.log(student2 instanceof Student);
    console.log(student3 instanceof Person);
    console.log(student3 instanceof Student);

</script>